# Spec SwiftLocalPattern
The specialization for the general SWIFT filter that finds ε-matches between haystack and needle.

Extends | SwiftPattern
All Extended | Pattern, SwiftPattern
Defined in | <seqan/index.h>
Signature | `template <typename THaystack> class Finder<THaystack, Swift<SwiftLocal> >;`

## Template Parameters

`THaystack` | A haystack type. Types: Index, String, StringSet.

## Interface Function Overview

### Interface Functions Inherited From Pattern

- `getBeginScore`
- `host`
- `needle`
- `position`
- `scoringScheme`
- `setNeedle`
- `setScoringScheme`

### Interface Functions Inherited From SwiftPattern

- `beginPosition`
- `endPosition`
- `getMaxDeviationOfOrder`
- `positionRange`
- `positionRangeNoClip`
- `setMinThreshold`

## Interface Metafunction Overview

### Interface Metafunctions Inherited From Pattern

- `Container`
- `Difference`
- `Host`
- `Needle`
- `PexMultiFinder`
- `Position`
- `ScoringScheme`
- `Size`
- `Value`

## Member Variable Overview

### Member Variables Inherited From SwiftPattern

- `parameters`

#### Dox Sources

    /*!
     * @class SwiftLocalPattern
     *
     * @extends SwiftPattern
     *
     * @headerfile <seqan/index.h>
     *
     * @brief The specialization for the general SWIFT filter that finds
     *        &epsilon;-matches between haystack and needle.
     *
     * @signature template <typename THaystack> class Finder<THaystack,
     *            Swift<SwiftLocal> >;
     *
     * @tparam THaystack A haystack type. Types: @link Index @endlink, @link String
     *                   @endlink, @link StringSet @endlink.
     */